Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Class RepositoryManagerFactory

    java.lang.Object
      com.bea.content.manager.RepositoryManagerFactory

Deprecated As of 9.x, replaced by `ContentManagerFactory`

    @Deprecated
    public class RepositoryManagerFactory

extends Object

Used to get the RepositoryManager.

Field Summary
`static String` | `REPOSITORY_MANAGER_CACHE_NAME` Deprecated The session attribute name for the repository manager which is cached in the session.

Constructor Summary
`RepositoryManagerFactory()` Deprecated

Method Summary
`static RepositoryManager` | `connect()` Deprecated As of 9.x, replaced by `ContentManagerFactory`
`static RepositoryManager` | `connect(javax.servlet.http.HttpSession session)` Deprecated As of 9.x, replaced by `ContentManagerFactory`
`static RepositoryManager` | `create()` Deprecated Creates a RepositoryManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPOSITORY_MANAGER_CACHE_NAME

    public static final String REPOSITORY_MANAGER_CACHE_NAME

  Deprecated
  The session attribute name for the repository manager which is cached in the session.

  See Also
    Constants Summary

Constructor Detail

### RepositoryManagerFactory

    public RepositoryManagerFactory()

  Deprecated

Method Detail

### create

    public static RepositoryManager create()

  Deprecated
  Creates a RepositoryManager.

### connect

    @Deprecated
    public static RepositoryManager connect()
                                     throws NoRepositoriesDefinedException,
                                            RepositoryException

  Deprecated As of 9.x, replaced by `ContentManagerFactory`

  Creates a RepositoryManager and attempts to connect to all configured repositories.

  Returns
    RepositoryManager - the connected repository manager.
  Throws
    `NoRepositoriesDefinedException` - - if there are no repositories to connect to.
    `RepositoryException` - - if a system error occurs.

### connect

    @Deprecated
    public static RepositoryManager connect(javax.servlet.http.HttpSession session)
                                     throws NoRepositoriesDefinedException,
                                            RepositoryException

  Deprecated As of 9.x, replaced by `ContentManagerFactory`

  Creates a RepositoryManager, adds it to the session at REPOSITORY_MANAGER_CACHE_NAME and attempts to connect to all configured repositories. If it is already in the session then return it.

  Parameters
    `session` - - the HttpSession to get the manager out of, or put it into if new.
  Returns
    RepositoryManager - the connected repository manager.
  Throws
    `NoRepositoriesDefinedException` - - if there are no repositories to connect to.
    `RepositoryException` - - if a system error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.